Package com.collibra.dgc.core.api.dto.meta.attributetype

# Class ChangeAttributeTypeRequest

Object
ChangeAttributeTypeRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeAttributeTypeRequest extends Object implements Serializable
The properties of the Attribute Type to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeAttributeTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeAttributeTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeAttributeTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<String>`
  `getAllowedValues()`
  List of allowed values.
  `String`
  `getDescription()`
  The new description for the Attribute Type.
  `UUID`
  `getId()`
  Required. The ID of the Attribute Type to be changed.
  `Boolean`
  `getIsInteger()`
  Whether Attribute Type holds integer value.
  `String`
  `getLanguage()`
  Deprecated.
  This parameter will be removed from the next major release, and has no effect.
  `String`
  `getName()`
  The new name for the Attribute Type.
  `String`
  `getPublicId()`
  The new public id for the Attribute Type.
  `Boolean`
  `getStatisticsEnabled()`
  Whether statistics should be enabled.
  `StringType`
  `getStringType()`
  Whether the Attribute Type holds rich text or plain text.
  `int`
  `hashCode()`
  `void`
  `setAllowedValues(List<String> allowedValues)`
  List of allowed values.
  `void`
  `setDescription(String description)`
  The new description for the Attribute Type.
  `void`
  `setId(UUID id)`
  Required. The ID of the Attribute Type to be changed.
  `void`
  `setIsInteger(Boolean isInteger)`
  Whether Attribute Type holds integer value.
  `void`
  `setLanguage(String language)`
  Deprecated.
  This parameter will be removed from the next major release, and has no effect.
  `void`
  `setName(String name)`
  The new name for the Attribute Type.
  `void`
  `setPublicId(String publicId)`
  The new public id for the Attribute Type.
  `void`
  `setStatisticsEnabled(Boolean statisticsEnabled)`
  Whether statistics should be enabled.
  `void`
  `setStringType(StringType stringType)`
  Whether the Attribute Type holds rich text or plain text.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeAttributeTypeRequest

    public ChangeAttributeTypeRequest()

- ## Method Details

  - ### builder

    public static ChangeAttributeTypeRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the Attribute Type to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### getPublicId

    public String getPublicId()
    The new public id for the Attribute Type.

    It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### getName

    public String getName()
    The new name for the Attribute Type.

  - ### getDescription

    public String getDescription()
    The new description for the Attribute Type.

  - ### getLanguage

    @Deprecated public String getLanguage()
    Deprecated.
    This parameter will be removed from the next major release, and has no effect.
    The new script language of the new Attribute Type, for script Attribute Types.

  - ### getStatisticsEnabled

    public Boolean getStatisticsEnabled()
    Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

  - ### getIsInteger

    public Boolean getIsInteger()
    Whether Attribute Type holds integer value. This property is only applicable to Attribute Types of kind "Numeric".

  - ### getAllowedValues

    public List<String> getAllowedValues()
    List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List"."

  - ### getStringType

    public StringType getStringType()
    Whether the Attribute Type holds rich text or plain text. This property is only applicable to Attribute Types of kind "String".

  - ### setId

    public void setId(UUID id)
    Required. The ID of the Attribute Type to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### setPublicId

    public void setPublicId(String publicId)
    The new public id for the Attribute Type.

    It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### setName

    public void setName(String name)
    The new name for the Attribute Type.

  - ### setDescription

    public void setDescription(String description)
    The new description for the Attribute Type.

  - ### setLanguage

    @Deprecated public void setLanguage(String language)
    Deprecated.
    This parameter will be removed from the next major release, and has no effect.
    The new script language of the new Attribute Type, for script Attribute Types.

  - ### setStatisticsEnabled

    public void setStatisticsEnabled(Boolean statisticsEnabled)
    Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

  - ### setIsInteger

    public void setIsInteger(Boolean isInteger)
    Whether Attribute Type holds integer value. This property is only applicable to Attribute Types of kind "Numeric".

  - ### setAllowedValues

    public void setAllowedValues(List<String> allowedValues)
    List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List"."

  - ### setStringType

    public void setStringType(StringType stringType)
    Whether the Attribute Type holds rich text or plain text. This property is only applicable to Attribute Types of kind "String".

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`